org.apache.ignite.internal.processors.cache.distributed

## Class GridCacheCommittedTxInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.GridCacheCommittedTxInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridCacheCommittedTxInfo
    extends Object
    implements Externalizable

Committed transaction information. Contains recovery writes that will be used to set commit values in case if originating node crashes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheCommittedTxInfo()` Empty constructor required by `Externalizable`.
`GridCacheCommittedTxInfo(IgniteInternalTx tx)`

### Method Summary

Methods
`UUID` `originatingNodeId()`
`GridCacheVersion` `originatingTxId()`
`void` `readExternal(ObjectInput in)`
`Collection<IgniteTxEntry>` `recoveryWrites()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheCommittedTxInfo

    public GridCacheCommittedTxInfo()

Empty constructor required by `Externalizable`.

#### GridCacheCommittedTxInfo

    public GridCacheCommittedTxInfo(IgniteInternalTx tx)

Parameters:
  `tx` - Committed cache transaction.

### Method Detail

#### originatingTxId

    public GridCacheVersion originatingTxId()

Returns:
  Originating transaction ID (the transaction ID for replicated cache and near transaction ID for partitioned cache).

#### originatingNodeId

    public UUID originatingNodeId()

Returns:
  Originating node ID (the local transaction node ID for replicated cache and near node ID for partitioned cache).

#### recoveryWrites

    public Collection<IgniteTxEntry> recoveryWrites()

Returns:
  Collection of recovery writes.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015